; 65c816 opcodes 0xA0-0xAF:
;    A0: LDY #       2,2
;    A1: LDA (d,x)   2,6
;    A2: LDX #       2,2
;    A3: LDA d,s     2,4
;    A4: LDY d       2,3
;    A5: LDA d       2,3
;    A6: LDX d       2,3
;    A7: LDA [d]     2,6
;    A8: TAY i       1,2
;    A9: LDA #       2,2
;    AA: TAX i       1,2
;    AB: PLB s       1,4
;    AC: LDY a       3,4
;    AD: LDA a       3,4
;    AE: LDX a       3,4
;    AF: LDA al      4,5

; A0
EX_LDY i,Immediate
E0_LDY i,Immediate

; A1
EM_LDA Od_xO,Direct_Indexed_Indirect
E0_LDA Od_xO,Direct_Indexed_Indirect

; A2
EX_LDX i,Immediate
E0_LDX i,Immediate

; A3
EM_LDA d_s,Stack_Relative
E0_LDA d_s,Stack_Relative

; A4
EX_LDY d,Direct
E0_LDY d,Direct

; A5
EM_LDA d,Direct
E0_LDA d,Direct

; A6
EX_LDX d,Direct
E0_LDX d,Direct

; A7
EM_LDA IdI,Direct_Indirect_Long
E0_LDA IdI,Direct_Indirect_Long

; A8

ALIGNC
EX_TAY:
 inc R_NativePC
 mov al,B_A
 mov B_Y,al
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN
ALIGNC
E0_TAY:
 inc R_NativePC
 mov eax,B_A
 mov B_Y,eax
;test ax,ax
 shl eax,16
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; A9
EM_LDA i,Immediate
E0_LDA i,Immediate

; AA

ALIGNC
EX_TAX:
 inc R_NativePC
 mov al,B_A
 mov B_X,al
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN
ALIGNC
E0_TAX:
 inc R_NativePC
 mov eax,B_A
 mov B_X,eax
;test ax,ax
 shl eax,16
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; AB

ALIGNC
E0_PLB:
 inc R_NativePC
 E0_PULL_B
 mov B_DB,al
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN
ALIGNC
E1_PLB:
 inc R_NativePC
 E1_PULL_B
 mov B_DB,al
 test al,al
 STORE_FLAGS SNES_FLAG_NZ
 jmp near CPU_RETURN

; AC
EX_LDY a,Absolute
E0_LDY a,Absolute

; AD
EM_LDA a,Absolute
E0_LDA a,Absolute

; AE
EX_LDX a,Absolute
E0_LDX a,Absolute

; AF
EM_LDA al,Absolute_Long
E0_LDA al,Absolute_Long
