%ifndef SNEeSe_key_i
%define SNEeSe_key_i

extern _key

;%1 = key, %2 = zero
%macro TEST_KEY 1-2 0   ; ZF=key up, !ZF=key down
 cmp byte [_key+%1],%2
%endmacro

;%1 = key, %2 = wheretogo, %3 = zero
%macro JUMP_KEY_DOWN 2-3 0
 TEST_KEY %1,%3
 jnz %2
%endmacro

;%1 = key, %2 = wheretogo, %3 = zero
%macro JUMP_KEY_UP 2-3 0
 TEST_KEY %1,%3
 jz  %2
%endmacro

;%1 = key, %2 = reg, %3 = zero
%macro TEST_VAR_KEY 2-3 0   ; ZF=key up, !ZF=key down
 mov dword %2,[%1]
 cmp byte [_key+%2],%3
%endmacro

;%1 = key, %2 = wheretogo, %3 = reg, %4 = zero
%macro JUMP_VAR_KEY_DOWN 3-4 0
 TEST_VAR_KEY %1,%3,%4
 jnz %2
%endmacro

;%1 = key, %2 = wheretogo, %3 = reg, %4 = zero
%macro JUMP_VAR_KEY_UP 3-4 0
 TEST_VAR_KEY %1,%3,%4
 jz %2
%endmacro

%endif ; SNEeSe_key_i
